Subject: Re: How to manage multiple repos using submodules?

From: Jonathan Nieder <[email-masked]>
Date: Sun, 17 Apr 2011 01:48:19 -0500

Hi,

Jonathan Nieder wrote:

> Yep, if you want to keep track of the state of a bunch of repos over
> time, submodules are not so bad[*].

A kind person pointed out that I left out a footnote.  I think all I
had been planning to say is that, roughly speaking, submodules are
about[1] saying that a specific commit is known to work well with the
rest of the code.  A supermodule like the one discussed in [2] is only
likely to be useful if you are interested in what historical
combinations of repositories were published and meant to work well
together.

Ciao,
Jonathan

[1] e.g., http://thread.gmane.org/gmane.comp.version-control.git/27803/focus=27830
[2] http://lists.x.org/archives/xorg-devel/2009-September/001966.html